Constants.Marker (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.cql3

## Class Constants.Marker

- java.lang.Object
- - org.apache.cassandra.cql3.Term.NonTerminal
  - - org.apache.cassandra.cql3.AbstractMarker
    - - org.apache.cassandra.cql3.Constants.Marker

- All Implemented Interfaces:
    Term
  Enclosing class:
    Constants

      public static class Constants.Marker
      extends AbstractMarker

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.AbstractMarker

      `AbstractMarker.INRaw, AbstractMarker.Raw`

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.Term

      `Term.MultiColumnRaw, Term.MultiItemTerminal, Term.NonTerminal, Term.Terminal`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.AbstractMarker

      `bindIndex, receiver`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Constants.Marker(int bindIndex, ColumnSpecification receiver)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Constants.Value` | `bind(QueryOptions options)` Bind the values in this term to the values contained in `values`.
    `java.nio.ByteBuffer` | `bindAndGet(QueryOptions options)` A shorter for bind(values).get().

    - ### Methods inherited from class org.apache.cassandra.cql3.AbstractMarker

      `collectMarkerSpecification, containsBindMarker`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Constants.Marker

          protected Constants.Marker(int bindIndex,
                          ColumnSpecification receiver)

  - ### Method Detail

    - #### bindAndGet

          public java.nio.ByteBuffer bindAndGet(QueryOptions options)
                                         throws InvalidRequestException

      Description copied from interface: `Term`
      A shorter for bind(values).get(). We expose it mainly because for constants it can avoids allocating a temporary object between the bind and the get (note that we still want to be able to separate bind and get for collections).
      Specified by:
        `bindAndGet` in interface `Term`
      Overrides:
        `bindAndGet` in class `Term.NonTerminal`
      Throws:
        `InvalidRequestException`

    - #### bind

          public Constants.Value bind(QueryOptions options)
                               throws InvalidRequestException

      Description copied from interface: `Term`
      Bind the values in this term to the values contained in `values`. This is obviously a no-op if the term is Terminal.
      Parameters:
        `options` - the values to bind markers to.
      Returns:
        the result of binding all the variables of this NonTerminal (or 'this' if the term is terminal).
      Throws:
        `InvalidRequestException`

Copyright © 2014 The Apache Software Foundation